#!/bin/bash

ss7box_dir=../ss7box

sangoma_isup_dirname=xygisup
sangoma_isup_dir=../$sangoma_isup_dirname

function build_release
{
	homedir=$PWD
	cd $sangoma_isup_dir
	../auth/build.py -s $1
	make clean
	make deps
	make
	cd $homedir	
}

function copy_release_components
{
	rm -f ./notes/*
	rm -f ./new/*
	rm -f *.conf
	
	cp $sangoma_isup_dir/smgcfg*.py .
	
#	cp $ss7box_dir/ss7box.conf .
#	cp $ss7box_dir/ss7box.conf ./new
	
	cp $ss7box_dir/cli/ss7box_cli .
	cp $ss7box_dir/cli/ss7box_cli ./new
	./ss7box_cli --ver
	cp $ss7box_dir/cli/ss7box_cli.conf .
	cp $ss7box_dir/cli/ss7box_cli.conf ./new
	
	cp $sangoma_isup_dir/sangoma_isupd .
	cp $sangoma_isup_dir/sangoma_isupd ./new
	./sangoma_isupd --ver
#	cp $sangoma_isup_dir/sangoma_isup.conf .
#	cp $sangoma_isup_dir/sangoma_isup.conf ./new
#	cp $sangoma_isup_dir/tg*.conf ./new
	cp $sangoma_isup_dir/RELEASE_NOTES.sangoma_isup.txt ./notes
	
	cp $sangoma_isup_dir/cli/sangoma_isup_cli .
	cp $sangoma_isup_dir/cli/sangoma_isup_cli ./new
	./sangoma_isup_cli --ver
	cp $sangoma_isup_dir/cli/sangoma_isup_cli.conf .
	cp $sangoma_isup_dir/cli/sangoma_isup_cli.conf ./new
	cp $sangoma_isup_dir/cli/RELEASE_NOTES.sangoma_isup_cli.txt ./notes/
	
	cp $sangoma_isup_dir/cdr/cdr_logger .
	cp $sangoma_isup_dir/cdr/cdr_logger ./new
	./cdr_logger --ver
	cp $sangoma_isup_dir/cdr/cdr_logger.conf .
	cp $sangoma_isup_dir/cdr/cdr_logger.conf ./new
	cp $sangoma_isup_dir/cdr/RELEASE_NOTES.sangoma_isup_cdr.txt ./notes/
	
	rm *~
}

function tarball
{
	echo tarball
#  	if [ -z $1 ] ; then
# 		echo "Missing revision string."
# 		exit 1
# 	fi
 	rm -f *~ smginstall*.tgz
	cd ..
	mv smginstall/ smginstall-$2-$1/
	ls -l smginstall-$2-$1/
 	tar czvf smginstall-$2.$1.tgz smginstall-$2-$1/
	mv smginstall-$2-$1/ smginstall/
	pwd
	cd smginstall/
	pwd
}

# main

rm -f $sangoma_isup_dir/site_notices/*
datestring=$(date +%F)
site_notice_itu=$sangoma_isup_dirname/site_notices/site-m3ua-itu.txt
site_notice_ansi=$sangoma_isup_dirname/site_notices/site-m3ua-ansi.txt

# make ANSI release
build_release "m3ua-ansi"
copy_release_components
tarball "ANSI" $datestring

# make ITU release
build_release "m3ua-itu"
copy_release_components
tarball "ITU" $datestring

cd ..
ls -l $site_notice_itu
echo
cat $site_notice_itu
echo
ls -l $site_notice_ansi
echo
cat $site_notice_ansi
echo
mv smginstall-$datestring.ITU.tgz smginstall/
mv smginstall-$datestring.ANSI.tgz smginstall/
cd smginstall
ls -l smginstall-$datestring.*
